Subject: Re: long long vs long
From: [email-masked] (Michael Weiser)

28 Jul 1998 05:29:53 -0700
Message-ID: <35bd93cc.1833927.cygnus.gnu-win32@mail>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Harry Broomhall <[email-masked]>
Cc: [email-masked]

Hi Harry,

You wrote:

>[SNIP]
>> Unfortunately not. I didn't know that this matters so much.
>> 
>> BTW: Do you love splitting hairs? ;)
>
>     No - but I *do* dislike wrong information!  <grin> And for
>portable programming (which I have to do a lot of) you have to
>be *very* clear on the rules.
Okay, got me. As I've never seen a system that uses longs with more or
less than 32 bits I simply thought that it's pretty useless to argue
about whether the standard says this or that when nearly all code
relys on that fact. But after reading this thread on the list it seems
to me that there are even a lot systems with incredibly long longs and
so I now think you're right. ;)

Yours

Micha
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".